Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

twitterBootstrap: 3.3.7 -> 4.2.1 #53635

Merged
merged 2 commits into from May 11, 2019
Merged

Conversation

@r-ryantm
Copy link
Contributor

@r-ryantm r-ryantm commented Jan 8, 2019

Semi-automatic update generated by https://github.com/ryantm/nixpkgs-update tools. This update was made based on information from https://repology.org/metapackage/bootstrap/versions.

meta.description for twitterBootstrap is: '"Front-end framework for faster and easier web development"'.

Checks done (click to expand)
Rebuild report (if merged into master) (click to expand)

2 total rebuild path(s)

2 package rebuild(s)

2 x86_64-linux rebuild(s)
0 i686-linux rebuild(s)
0 x86_64-darwin rebuild(s)
0 aarch64-linux rebuild(s)

First fifty rebuilds by attrpath
twitterBootstrap
twitterBootstrap3

Instructions to test this update (click to expand)

Either download from Cachix:

nix-store -r /nix/store/li7nqy0w3zzid541r4xm3ai2f1raiwf6-bootstrap-4.2.1 \
  --option binary-caches 'https://cache.nixos.org/ https://r-ryantm.cachix.org/' \
  --option trusted-public-keys '
  r-ryantm.cachix.org-1:gkUbLkouDAyvBdpBX0JOdIiD2/DP1ldF3Z3Y6Gqcc4c=
  cache.nixos.org-1:6NCHdD59X431o0gWypbMrAURkbJ16ZPMQFGspcDShjY=
  '

(r-ryantm's Cachix cache is only trusted for this store-path realization.)

Or, build yourself:

nix-build -A twitterBootstrap https://github.com/r-ryantm/nixpkgs/archive/cfba5649ea54433c58833a3d894b2447174077e3.tar.gz

After you've downloaded or built it, look at the files and if there are any, run the binaries:

ls -la /nix/store/li7nqy0w3zzid541r4xm3ai2f1raiwf6-bootstrap-4.2.1
ls -la /nix/store/li7nqy0w3zzid541r4xm3ai2f1raiwf6-bootstrap-4.2.1/bin

@emmanuelrosa
Copy link
Contributor

@emmanuelrosa emmanuelrosa commented Jan 8, 2019

Bootstrap 4 is not backwards-compatible with bootstrap 3. Hence a project expecting bootstrap 3 from this package would break upon receiving this update.

@FRidh
Copy link
Member

@FRidh FRidh commented Jan 13, 2019

The attribute name would have to be fixed it seems.

@marsam marsam force-pushed the auto-update/bootstrap branch from cfba564 to e881750 May 11, 2019
@marsam
Copy link
Contributor

@marsam marsam commented May 11, 2019

@marsam
Copy link
Contributor

@marsam marsam commented May 11, 2019

@GrahamcOfBorg build twitterBootstrap twitterBootstrap4

@marsam marsam merged commit 635debe into NixOS:master May 11, 2019
2 checks passed
@r-ryantm r-ryantm deleted the auto-update/bootstrap branch May 19, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

6 participants